Subject: bug#35424: Gnome terminal doesn't keep current working directory in new tab/window

From: Ben Sturmfels <[email-masked]>
Date: Tue, 23 Jul 2019 18:26:31 +1000

On 23/07/19 16:54, Ben Sturmfels wrote:
> On 23/07/19 16:40, Ben Sturmfels wrote:
> 
>>>> Interesting.  Is this file installed to /etc/profile.d/vte.sh on other
>>>> systems?  Or is it otherwise sourced?
>>>>
>>>
>>> I can only speak for my own system. I don't have gnome-terminal
>>> installed, but I do have tilda which uses vte. My
>>> ~/.guix-profile/etc/profile.d/ only has bash_completion.sh.
>>
>> I wonder if it's just a matter of moving vte to the propagated-inputs of
>> gnome-terminal (and other packages like tilda)? I'll try now and report
>> back.
> 
> Ok, moving vte to propagated-inputs for gnome-terminal makes
> ~/.guix-profile/etc/profile.d/vte.sh show up if installed with `guix
> package` and /etc/profile.d/vte.sh show up if installed with `guix system`.

Whoops, I got that mixed up - `guix system` does NOT create
/etc/profile.d/vte.sh after the move to propagated-inputs.